zenilib: zenilib/jni/external/lib3ds/src/lib3ds_util.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
lib3ds_util.c File Reference
`#include "lib3ds_impl.h"`

Go to the source code of this file.

## Functions

void | lib3ds_util_insert_array (void ***ptr, int *n, int *size, void *element, int index)
void * | lib3ds_util_realloc_array (void *ptr, int old_size, int new_size, int element_size)
void | lib3ds_util_remove_array (void ***ptr, int *n, int index, Lib3dsFreeFunc free_func)
void | lib3ds_util_reserve_array (void ***ptr, int *n, int *size, int new_size, int force, Lib3dsFreeFunc free_func)

## Function Documentation

void lib3ds_util_insert_array | ( | void *** | ptr,
|  | int * | n,
|  | int * | size,
|  | void * | element,
|  | int | index
| ) |  |

Definition at line 53 of file lib3ds_util.c.

References assert, FALSE, i, lib3ds_util_reserve_array(), memmove, and NULL.

Referenced by lib3ds_file_insert_camera(), lib3ds_file_insert_light(), lib3ds_file_insert_material(), and lib3ds_file_insert_mesh().

void* lib3ds_util_realloc_array | ( | void * | ptr,
|  | int | old_size,
|  | int | new_size,
|  | int | element_size
| ) |  |

Definition at line 21 of file lib3ds_util.c.

References memset, and realloc.

Referenced by lib3ds_mesh_resize_faces(), and lib3ds_mesh_resize_vertices().

void lib3ds_util_remove_array | ( | void *** | ptr,
|  | int * | n,
|  | int | index,
|  | Lib3dsFreeFunc | free_func
| ) |  |

Definition at line 79 of file lib3ds_util.c.

References assert, and memmove.

Referenced by lib3ds_file_remove_camera(), lib3ds_file_remove_light(), lib3ds_file_remove_material(), and lib3ds_file_remove_mesh().

void lib3ds_util_reserve_array | ( | void *** | ptr,
|  | int * | n,
|  | int * | size,
|  | int | new_size,
|  | int | force,
|  | Lib3dsFreeFunc | free_func
| ) |  |

Definition at line 34 of file lib3ds_util.c.

References assert, i, and realloc.

Referenced by lib3ds_file_reserve_cameras(), lib3ds_file_reserve_lights(), lib3ds_file_reserve_materials(), lib3ds_file_reserve_meshes(), and lib3ds_util_insert_array().